#include <bits/stdc++.h>
using namespace std;
#define ll long long

vector<int> solve(vector<int> A){
    ll n;
    n=A.size();
    vector<int>ANS;
    ll s=0;
    int l=0;
    int r=n-1;
    for(int i=0;i<n;i++){
        if(i%2==0){
            ANS.push_back(r);
            r--;
        }else{
            ANS.push_back(l);
            l++;
        }
    }
        
    return ANS;
}